%define user smtpgw

Summary:	SMTP Transparent Proxy
Name: 		smtp-gated
Version: 	1.4.20.0
Release: 	%mkrel 9
Group: 		System/Servers
License:	GPL2v+
#Requires: spamassassin-spamd clamd libpcre libspf2
BuildRequires:  pcre-devel
BuildRequires:  libspf2-devel
Provides: 	smtp-proxy
URL: 		http://smtp-proxy.klolik.org
Source0: 	http://software.klolik.org/smtp-gated/files/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.conf
Source3:	%{name}-tmpfiles.conf
Patch0: 	smtp-gated-1.4.17-fdprintf.patch
Patch1: 	smtp-gated-1.4.17-syslog.patch
Patch2:		smtp-gated-1.4.18.8-linkage.patch
Patch3:		smtp-gated-1.4.20.0-gcc7.patch
Patch4:		smtp-gated-1.4.20.0-gcc10.patch
Requires:	clamd
Requires:	spamassassin-spamd
Requires(post):   systemd >= %{systemd_required_version}
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper

%description
Transparent proxy for SMTP traffic.

%prep
%setup -q
%patch0 -p0 -b .fdprintf
%patch1 -p0 -b .syslog
%patch2 -p0 -b .linkage
%patch3 -p1 -b .gcc7
%patch4 -p1 -b .gcc10

%build
autoreconf -fi
%configure --enable-pcre=%{_includedir} --enable-spf=%{_includedir}/spf2

%make_build

%install
%make_install

install -d %{buildroot}%{_localstatedir}/spool/%{name}/msg
install -d %{buildroot}%{_localstatedir}/spool/%{name}/lock
install -D -p -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}

# src/%{name} -t | sed 's/^\([^#]\)/; &/' > %{buildroot}%{_sysconfdir}/%{name}.conf
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}.conf
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README README.PL
%doc contrib/fixed.conf contrib/nat.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man5/smtp-gated.conf.5*
%{_mandir}/man8/smtp-gated.8*
%{_tmpfilesdir}/%{name}.conf

%defattr(0755,root,root,0755)
%{_sbindir}/%{name}
%{_initrddir}/%{name}

%defattr(0750,smtpgw,smtpgw,0750)
/var/spool/%{name}

%pre
%_pre_useradd %{user} /var/spool/%{name} /bin/false

%postun
%_postun_userdel %{user}
%_postun_groupdel %{user}

%preun
%_preun_service %{name}

%post
%_tmpfilescreate %{name}
%_post_service %{name}




%changelog
* Mon Aug 31 2020 martinw <martinw> 1.4.20.0-9.mga8
+ Revision: 1620488
- fix build with GCC 10

* Fri Feb 14 2020 umeabot <umeabot> 1.4.20.0-8.mga8
+ Revision: 1517074
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4.20.0-7.mga7
+ Revision: 1301083
- Mageia 7 Mass Rebuild

* Thu Oct 12 2017 cjw <cjw> 1.4.20.0-6.mga7
+ Revision: 1171356
- patch3: fix build with gcc 7

* Fri Feb 12 2016 umeabot <umeabot> 1.4.20.0-5.mga6
+ Revision: 959063
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.20.0-4.mga5
+ Revision: 742805
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.20.0-3.mga5
+ Revision: 689220
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.20.0-2.mga4
+ Revision: 532978
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 1.4.20.0-1.mga4
+ Revision: 470560
- 1.4.20.0

* Sun Mar 24 2013 colin <colin> 1.4.18.8-6.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sat Jan 19 2013 colin <colin> 1.4.18.8-5.mga3
+ Revision: 389828
- Fix install calls for directory creation
- Use tmpfiles for runtime dir creation
- Remove duplicate mkdir calls during install

* Mon Jan 14 2013 dlucio <dlucio> 1.4.18.8-4.mga3
+ Revision: 388106
- S2 updated
- ghost support
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 21 2012 dlucio <dlucio> 1.4.18.8-2.mga3
+ Revision: 225419
- S3 added, now smtp-gated is ready to work out-of-the-box
- new requieres (clamd, spamd) to let it work nicely

* Tue Mar 20 2012 dlucio <dlucio> 1.4.18.8-1.mga2
+ Revision: 225111
- file list fixes, get rid of general * in mandir
- SPEC fixes
- P2 rediffed
- imported package smtp-gated


* Sat Feb 11 2012 Oden Eriksson <oeriksson@mandriva.com> 1.4.17-5mdv2012.0
+ Revision: 773077
- relink against libpcre.so.1

* Mon May 30 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.4.17-4
+ Revision: 681778
- Rebuild

* Mon May 30 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.4.17-3
+ Revision: 681768
- P2 to let gcc link

* Fri Mar 25 2011 zamir <zamir@mandriva.org> 1.4.17-2
+ Revision: 648514
- add rebuild init file
- cosmetic fix

* Tue Mar 22 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.4.17-1
+ Revision: 647595
- cosmetics

* Tue Mar 22 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.4.17-0
+ Revision: 647594
- P1 syslog patch
- add p0 to fix fdprintf sintax

  + zamir <zamir@mandriva.org>
    - del vendor
    - first build
    - create smtp-gated

